using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace BLWWS_BLL
{
    public static class LogHelperForService
    {
        private static string ExePath = Application.StartupPath;
        /// <summary>
        /// 日志写入到批定的文件路径下
        /// </summary>
        /// <param name="msg"></param>
        public static void WriteLog(string msg)
        {
            string path = ExePath + "\\logs\\" + DateTime.Now.ToString("yyyyMMdd") + ".log";
            msg = DateTime.Now.ToString("yyyy-MM-dd HH:mm:ss") + ":\t " + msg + Environment.NewLine;
            WriteLog(path, msg, true);
        }
        /// <summary>
        /// 把数据写入指定的文件里
        /// </summary>
        /// <param name="path">文件路径（包括文件名称）</param>
        /// <param name="msg">写入内容</param>
        /// <param name="append">是否追加</param>
        public static void WriteLog(string path, string msg, bool append)
        {
            string folder = Path.GetDirectoryName(path);
            if (!Directory.Exists(folder))
            {
                Directory.CreateDirectory(folder);
            }
            StreamWriter sw = null;
            try
            {
                sw = new StreamWriter(path, append, Encoding.Unicode);
                sw.WriteLine(msg);
            }
            catch (Exception)
            {
            }
            finally
            {
                if (sw != null)
                {
                    sw.Close();
                }
            }
        }
    }
}
